#!/bin/bash
set -ex

# This file gets touched if all setup passes
rm /.setup_complete || true

HOME_DIR="/home/phablet"

echo 'Package: *' > /etc/apt/preferences.d/local-pin-900
echo 'Pin: origin ""' >> /etc/apt/preferences.d/local-pin-900
echo 'Pin-Priority: 600' >> /etc/apt/preferences.d/local-pin-900

sudo sh -c "echo \"deb file://$HOME_DIR/archive/work/output/ ./\" > /etc/apt/sources.list.d/00localrepo.list"
cd $HOME_DIR/archive/work/output
dpkg-scanpackages . /dev/null | gzip -9c > Packages.gz
cd -

# Add the PPAs and local archive
ppa_repos="/tmp/ppa_sources"
echo "Client side PPA repo list:"
cat $ppa_repos
while read ppa; do
    echo "I: Adding PPA: ${ppa}"
    sudo apt-add-repository "$ppa"
done < $ppa_repos

apt-get update || apt-get update || apt-get update

package_list=""
for i in `ls $HOME_DIR/archive/work/output/*.deb`; do
  package_name=`dpkg -I $i | grep Package | cut -d " " -f 3`
  apt-cache policy $package_name
  package_list="$package_list $package_name"
done

apt-get clean
# Simulate first
apt-get -s -y --force-yes --reinstall install $package_list
if [ $? -eq 0 ]; then
    apt-get -y --force-yes --reinstall install $package_list
fi
touch /.setup_complete
